<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class HealthIndustrySeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->call(SpecialCaseTableSeeder::class);
        $this->call(SampleCollectionTubesTableSeeder::class);
        $this->call(StyleTypeTableSeeder::class);
        $this->call(TestMethodsTableSeeder::class);
        $this->call(TestUnitsTableSeeder::class);
        $this->call(FloorsTableSeeder::class);
        $this->call(TestDepartmentsTableSeeder::class);
        $this->call(TestPackagesTableSeeder::class);
        $this->call(SampleTypesTableSeeder::class);
        $this->call(TestItemsSeeder::class);
        $this->call(TestItemOptionsSeeder::class);
        $this->call(TestItemNormalRangeSeeder::class);
        $this->call(BodyVitalsTableSeeder::class);
        $this->call(ProductsTableSeeder::class);
        $this->call(ProductPricesTableSeeder::class);
        $this->call(AnesthesiaTypesTableSeeder::class);
        $this->call(DischargeTypesTableSeeder::class);
        $this->call(BedTypesTableSeeder::class);
        $this->call(BedGroupTableSeeder::class);
        $this->call(BuildingsTableSeeder::class);
        $this->call(DatabaseSeeder::class);
        $this->call(CreateDoctorUserSeeder::class);
        $this->call(CreateTechnicianUserSeeder::class);
        $this->call(CreateBillingUserSeeder::class);
        $this->call(CreateNurseUserSeeder::class);
    }
}
